## org.apache.batik.ext.awt.geom
Interface ExtendedShape

All Superinterfaces:
  java.awt.Shape

All Known Implementing Classes:
  ExtendedGeneralPath, ShapeExtender

public interface ExtendedShape
extends java.awt.Shape

The `ExtendedShape` class represents a geometric path constructed from straight lines, quadratic and cubic (Bezier) curves and elliptical arcs.

Method Summary
`ExtendedPathIterator` `getExtendedPathIterator()` Get an extended Path iterator that may return SEG_ARCTO commands

Methods inherited from interface java.awt.Shape
`contains, contains, contains, contains, getBounds, getBounds2D, getPathIterator, getPathIterator, intersects, intersects`

Method Detail

### getExtendedPathIterator

    public ExtendedPathIterator getExtendedPathIterator()

  Get an extended Path iterator that may return SEG_ARCTO commands

Copyright © 2004 Apache Software Foundation. All Rights Reserved.